Subject: [Idr] draft-ietf-bess-datacenter-gateway-10 assumptions about BGP autoconfiguration

From: John Scudder <[email-masked]>
Date: Mon, 17 May 2021 21:00:05 +0000

Hi IDR folks,

I just wanted to give you a heads-up that draft-ietf-bess-datacenter-gateway-10 (currently in IESG evaluation) contains some assumptions about BGP autoconfiguration, or rather the lack of same:

8.  Security Considerations
…
   system.  It should be noted that BGP peerings are not discovered, but
   always arise from explicit configuration.

9.  Manageability Considerations
…
   It should be noted that BGP peerings are not discovered, but always
   arise from explicit configuration.  This is no different from any
   other BGP operation.

Since I know there’s work underway on BGP autoconfiguration, I thought I should let you know this assumption exists, so that you can consider whether the autoconfiguration work will have any implications on draft-ietf-bess-datacenter-gateway-10. If so, I guess the thing to do might be to address it in the security considerations section of any spec that eventually comes out of the effort.

FYI,

—John